package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

public class B12 {

    public B12() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "查勘传输设备节点或机房名")
    private String surveyDeviceNodeOrMachineRoom;
    @JSONField(name = "经度")
    private Double longitude;
    @JSONField(name = "纬度")
    private Double latitude;
    @JSONField(name = "运营商和工程期别")
    private String operator;
    @JSONField(name = "当日端数")
    private Integer todayPortCount;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "查勘人")
    private String surveyPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String status;
//
//    private String passed;
//
//    private String verifier;
//
//    private String verifyTime;
//
//    private String uploadPerson;
@JSONField(name = "上传日期时间")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B12(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B12(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSurveyDeviceNodeOrMachineRoom() {
        return surveyDeviceNodeOrMachineRoom;
    }

    public void setSurveyDeviceNodeOrMachineRoom(String surveyDeviceNodeOrMachineRoom) {
        this.surveyDeviceNodeOrMachineRoom = surveyDeviceNodeOrMachineRoom;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getTodayPortCount() {
        return todayPortCount;
    }

    public void setTodayPortCount(Integer todayPortCount) {
        this.todayPortCount = todayPortCount;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getSurveyPerson() {
        return surveyPerson;
    }

    public void setSurveyPerson(String surveyPerson) {
        this.surveyPerson = surveyPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B12{" +
                "id=" + id +
                ", surveyDeviceNodeOrMachineRoom='" + surveyDeviceNodeOrMachineRoom + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", operator='" + operator + '\'' +
                ", todayPortCount=" + todayPortCount +
                ", currentTime='" + currentTime + '\'' +
                ", surveyPerson='" + surveyPerson + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}
